%define snapshot 0
%define pre rc

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 0
%endif

%define qtmajor 5
%define qtminor 11
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qtcanvas3d-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtcanvas3d-everywhere-src-%{qtversion}
%endif

Name: qtcanvas3d5
Version: 5.11.2
Release: %mkrel 1
Summary: Qt5 - Canvas3d component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: pkgconfig(Qt5Qml) = %version
BuildRequires: pkgconfig(Qt5Quick) = %version
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt5 Canvas3D component.

%files
%_qt5_qml/QtCanvas3D
%_qt5_examplesdir/canvas3d

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtCanvas3D%{qtmajor} APIs and tools docs
Group: Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtCanvas3D5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtcanvas3d.qch
%{_qt5_docdir}/qtcanvas3d/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtcanvas3d-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Fri Oct 12 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
